Unable to update Node (Stuck on v0.15.6)


#1

Hey everyone,

I use custom seeds on my nodes and services
and I think one of the node wallet files was affected by the 192 Byte limit on Bas58 strings (introduced in version 0.16.2).

Is there a way to bypass the size limit so I can use the old wallet file with the new node version?

All (except one very long) custom seeds work with newer versions.


#2

Hi,

Can you not use something like pywaves? Check if you can access the wallet via the seed. Create a new node working node(longer seed) and move the funds? This would obviously not be a option if you need to keep to the same wallet address.


#3

Hey,

I can still use the wallet with version 0.15.6 with the miner deactivated because I still need to sign transactions with it.
I could do that using a library but the wallet belongs to a leasing pool with over 700 active leases. :grimacing:

I have a migration plan ready just in case but I would like to avoid it if possible since it comes with a few downsides like losing access to the alias.